/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { NativeUIElementBridge } from "./NativeUIElementBridge";
import { List$1 } from "./List$1";
import { NativeUIComponent } from "./NativeUIComponent";
import { markType } from "./type";
/**
 * @hidden
 */
export let PanelBridge = /*@__PURE__*/ (() => {
    class PanelBridge extends NativeUIElementBridge {
        constructor() {
            super();
            this.d = null;
            this.d = new List$1(NativeUIComponent.$, 0);
        }
        f(a, b) {
            this.d.add(b);
            a.append(b.x);
        }
        g(a, b, c) {
            if (b >= this.d.count) {
                this.f(a, c);
                return;
            }
            this.d.insert(b, c);
            let parent_ = a.getNativeElement();
            let d = c.x;
            let e = a.getChildAt(b);
            parent_.insertBefore(d.getNativeElement(), e.getNativeElement());
        }
        c(a, b) {
            return this.d._inner[b];
        }
        e(a) {
            return a.getChildCount();
        }
        h(a, b) {
            this.d.remove(b);
            a.removeChild(b.x);
        }
        i(a, b) {
            this.d.removeAt(b);
            a.getChildAt(b).remove();
        }
    }
    PanelBridge.$t = /*@__PURE__*/ markType(PanelBridge, 'PanelBridge', NativeUIElementBridge.$);
    return PanelBridge;
})();
